Package org.apache.struts2.config_browser

# Class ShowConfigAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ActionNamesAction
org.apache.struts2.config_browser.ShowConfigAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class ShowConfigAction extends ActionNamesAction
ShowConfigAction

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `configHelper`

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowConfigAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  `String`
  `getActionName()`
  `Set<String>`
  `getActionNames()`
  `ActionConfig`
  `getConfig()`
  `String`
  `getDetailView()`
  `String`
  `getNamespace()`
  `PropertyDescriptor[]`
  `getProperties()`
  `void`
  `setActionName(String actionName)`
  `void`
  `setDetailView(String detailView)`
  `void`
  `setNamespace(String namespace)`
  `void`
  `setObjectFactory(ObjectFactory fac)`
  `void`
  `setReflectionProvider(ReflectionProvider prov)`
  `String`
  `stripPackage(Class clazz)`

  ### Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `getConfig, getExtension, getNamespaces, index, redirect, setConfigurationHelper, setExtension`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowConfigAction

    public ShowConfigAction()

- ## Method Details

  - ### getDetailView

    public String getDetailView()

  - ### setDetailView

    public void setDetailView(String detailView)

  - ### getActionNames

    public Set<String> getActionNames()
    Overrides:
      `getActionNames` in class `ActionNamesAction`

  - ### getNamespace

    public String getNamespace()
    Overrides:
      `getNamespace` in class `ActionNamesAction`

  - ### setObjectFactory

    public void setObjectFactory(ObjectFactory fac)

  - ### setReflectionProvider

    public void setReflectionProvider(ReflectionProvider prov)

  - ### stripPackage

    public String stripPackage(Class clazz)

  - ### setNamespace

    public void setNamespace(String namespace)
    Overrides:
      `setNamespace` in class `ActionNamesAction`

  - ### getActionName

    public String getActionName()

  - ### setActionName

    public void setActionName(String actionName)

  - ### getConfig

    public ActionConfig getConfig()

  - ### getProperties

    public PropertyDescriptor[] getProperties()

  - ### execute

    public String execute() throws Exception
    Specified by:
      `execute` in interface `Action`
    Overrides:
      `execute` in class `ActionNamesAction`
    Throws:
      `Exception`